nl.topicus.jdbc

## Class Logger

- java.lang.Object
- - nl.topicus.jdbc.Logger

    public final class Logger
    extends Object

Poor man's logging infrastructure. This just deals with maintaining a per- connection ID and log level, and timestamping output. This implementation is based on the implementation of PostgreSQL. PostgreSQL is released under the PostgreSQL License, a liberal Open Source license, similar to the BSD or MIT licenses. PostgreSQL Database Management System (formerly known as Postgres, then as Postgres95) Portions Copyright (c) 1996-2017, The PostgreSQL Global Development Group Portions Copyright (c) 1994, The Regents of the University of California IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

Author:
  loite

### Constructor Summary

Constructors
Constructor and Description
`Logger()`
`Logger(int connectionID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug(String str)`
`void` `debug(String str, Throwable t)`
`int` `getLogLevel()`
`void` `info(String str)`
`void` `info(String str, Throwable t)`
`void` `log(String str, Throwable t)`
`boolean` `logDebug()`
`boolean` `logInfo()`
`void` `setLogLevel(int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    public Logger()

#### Logger

    public Logger(int connectionID)

### Method Detail

#### setLogLevel

    public void setLogLevel(int level)

#### getLogLevel

    public int getLogLevel()

#### logDebug

    public boolean logDebug()

#### logInfo

    public boolean logInfo()

#### debug

    public void debug(String str)

#### debug

    public void debug(String str,
                      Throwable t)

#### info

    public void info(String str)

#### info

    public void info(String str,
                     Throwable t)

#### log

    public void log(String str,
                    Throwable t)